import React, { forwardRef, FunctionComponent } from "react";
import { Icon, CreateIconProps } from "../Icon";

const QrCode: FunctionComponent<CreateIconProps> = forwardRef((props, ref) => (
  <Icon {...props} ref={ref}>
    <path d="M15.716 12.857v2.858h2.856v2.856h2.857v2.858h-2.857v-2.857h-2.856v2.857h-2.859V18.57h2.857v-2.856h-2.857v-2.858h2.858zm-6.716 0A2.143 2.143 0 0111.143 15v4.286A2.143 2.143 0 019 21.429H4.714a2.143 2.143 0 01-2.143-2.143V15a2.143 2.143 0 012.143-2.143H9zm0 1.714H4.714a.429.429 0 00-.428.429v4.286a.428.428 0 00.428.428H9a.429.429 0 00.429-.428V15A.429.429 0 009 14.571zm-.643 1.072v3h-3v-3h3zm13.072-2.786v2.858h-2.857v-2.858h2.857zM9 2.571a2.143 2.143 0 012.143 2.143V9A2.143 2.143 0 019 11.143H4.714A2.143 2.143 0 012.571 9V4.714a2.143 2.143 0 012.143-2.143H9zm10.286 0a2.143 2.143 0 012.143 2.143V9a2.143 2.143 0 01-2.143 2.143H15A2.143 2.143 0 0112.857 9V4.714A2.143 2.143 0 0115 2.571h4.286zM9 4.286H4.714a.429.429 0 00-.428.428V9a.429.429 0 00.428.429H9A.429.429 0 009.429 9V4.714A.429.429 0 009 4.286zm10.286 0H15a.428.428 0 00-.429.428V9a.429.429 0 00.429.429h4.286A.429.429 0 0019.714 9V4.714a.429.429 0 00-.428-.428zm-.643 1.071v3h-3v-3h3zM8.355 5.36v2.995H5.36V5.36h2.995z" />
  </Icon>
));

export default QrCode;
